"use strict";
var Util = function(e, t) {
    var n = {
        en: !0,
        "zh-cn": !0
    },
    a = {
        obj: e.sessionStorage,
        checkAvailable: function() {
            return !! e.sessionStorage && !1
        },
        get: function(e) {
            return !! this.checkAvailable() && this.obj.getItem(e)
        },
        set: function(e, t) {
            return !! this.checkAvailable() && (this.obj.setItem(e, t), !0)
        }
    },
    i = {
        key: "en",
        language: {},
        get: function(e) {
            return this.language[e]
        },
        initLanguage: function(e) {
            t.isEmptyObject(this.language) && (this.language = e)
        },
        initLanguageKey: function() {
            var t = (e.navigator.language || e.navigator.userLanguage).toLowerCase();
            n.hasOwnProperty(t) && (this.key = t)
        },
        changeLanguage: function() {
            this.initLanguageKey();
            var e = a.get(this.key);
            e ? (this.initLanguage(JSON.parse(e)), this.replaceHTML(JSON.parse(e))) : this.loadLanguage()
        },
        loadLanguage: function() {
            var e = this;
            r.getJsonFile(e.key,
            function(t) {
                e.replaceHTML(t),
                e.initLanguage(t),
                a.set(e.key, JSON.stringify(t))
            })
        },
        replaceHTML: function(e) {
            t("[lang]").each(function() {
                var n = t(this).attr("lang");
                if (n) {
                    for (var a, i = n.split(","), r = 0, c = i.length; r < c; r++) a = i[r].split("="),
                    1 === a.length ? t(this).html(e[a[0]]) : t(this).attr(a[0], e[a[1]]);
                    t(this).removeAttr("lang")
                }
            })
        }
    },
    r = {
        getJsonFile: function(e, n) {
            t.ajax({
                type: "GET",
                url: "language/" + e + ".json",
                dataType: "json",
                beforeSend: function() {},
                success: function(e) {
                    n(e)
                }
            })
        },
        getString: function(e) {
            t.ajax({
                data: e.data,
                type: "POST",
                url: "fake_server.json",
                beforeSend: function() {},
                error: function() {},
                success: function(t) {
                    e.hasOwnProperty("callback") && "function" === Util.getType(e.callback) && e.callback(t)
                }
            })
        }
    };
    return {
        getLanguage: function() {
            return i.key
        },
        changeLanguage: function() {
            i.changeLanguage()
        },
        getLang: function(e) {
            return i.get(e)
        },
        checkEmail: function(e) {
            return /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/.test(e)
        },
        checkPassword: function(e) {
            return /^[0-9A-z]{6,16}$/.test(e)
        },
        checkLength: function(e, t) {
            return new RegExp("\\w{" + e + ",}").test(t)
        },
        checkRepeat: function(e, t) {
            return (e + "").trim().length === (t + "").trim().length
        },
        getType: function(e) {
            return Object.prototype.toString.call(e).slice(8, -1).toLowerCase()
        },
        ajax: function(e, n, a) {
            n.r = (new Date).getTime(),
            t.ajax({
                url: e,
                data: n,
                type: "POST",
                success: function(e) {
                    var t;
                    try {
                        t = JSON.parse(e)
                    } catch(e) {
                        t = {
                            code: 1
                        }
                    }
                    "function" === Util.getType(a) && a(t)
                },
                error: function() {
                    var e = {
                        code: 1
                    };
                    "function" === Util.getType(a) && a(e)
                }
            })
        },
        setTemplate: function(e, t) {
            var n, a = [],
            i = "",
            r = !1,
            c = this.getType(t);
            if ("array" === c ? (a = t, r = !0) : "object" === c && (a[0] = t), r && "object" !== this.getType(t[0])) for (var g = new RegExp("{.*?}", "g"), o = 0, u = t.length; o < u; o++) n = e,
            i += n.replace(g, t[o]);
            else for (var s in a) if (a.hasOwnProperty(s)) {
                n = e;
                for (var l in a[s]) if (a[s].hasOwnProperty(l)) {
                    var f = new RegExp("{" + l + "}", "g"),
                    h = a[s][l];
                    n = n.replace(f, h)
                }
                i += n
            }
            return i
        }
    }
} (window, jQuery);
Util.changeLanguage();